
//create variables and arrays
let table;
var g;
var b;
var px; 
var py;
let counter = 0; 
let blobs = [];
let c37 = [];
let tail = [];

let blob;


poff = []
p2off = []

var xoff;
var yoff;
let wiggle = .0001
let noiseMax = []
let temprowsmax = 74;
let temprowsmin = 0; 
let d15N = []
let size = []

let d15Nmin = 0;
let d15Nmax = 152;
let column;
let sizemin = 1
let sizemax = 10
let sizecounter = 0
let sizearray = []
let MPT = []
let MPTspeed = []
let drawcounter = 0
var fade;
var fadeAmount = 1
//load data
function preload() {
  //my table is comma separated value "csv"
  //and has a header specifying the columns labels
  table = loadTable('table2.csv', 'csv', 'header');

}
//set up canvas and load data into variables and arrays
function setup(){
  createCanvas(windowWidth, windowHeight)
  background(0);
  
  print(table.getRowCount() + ' total rows in table');
  print(table.getColumnCount() + ' total columns in table');
  print(table.getString(74, 11) + 'string 74,8 temp');
  print(table.getString(0, 8) + 'string 0,8');
  print(table.getString(151, 3) + 'string 0,2 d15Nmax');
  print(table.getString(345, 3) + 'string 345,3');
  print(table.getString(0,10) + 'string 0,10 MPT')
  print(table.getString(0, 12) + 'string 0,9temp');
  

  for (let v = d15Nmin; v < d15Nmax; v++){
    d15N.push(table.getString(v, 3))
    size.push(map(d15N[v],1.005066677234081,12.5172262826832,sizemin, sizemax))
  }

  for (let n = temprowsmin; n < temprowsmax; n++){
    c37.push(table.getString(n,12))
    tail.push(map(c37[n], .113, 6.585, 5,10))
    poff.push(random(0,300))
    noiseMax.push(random(2,4))
    p2off.push(random(0,300))
    sizearray.push(random(size))
    MPT.push(table.getString(n,10))
    if (MPT[n] == 1){
      MPTspeed[n] = map(0.03623188406, 0.02597402597, 0.04964539007, .0005, .006)
    }

    if (MPT[n] == 2){
      MPTspeed[n] = map(0.03623188406, 0.02597402597, 0.04964539007, .0005, .006)
    }

    if (MPT[n] == 3){
      MPTspeed[n] = map(0.04964539007, 0.02597402597, 0.04964539007, .0005, .006)
    }

    if (MPT[n] == 4){
      MPTspeed[n] = map(0.02597402597, 0.02597402597, 0.04964539007, .0005, .006)
    }

  }
  console.log(sizearray + "size array")
  console.log('MPT array' + MPT)

  console.log(d15N)
  console.log(size)
  console.log((10*random(size))+ 'random')
  console.log('MPT Speed' + MPTspeed )
  console.log(c37 + 'c37')
  console.log(tail + 'tail')
}
//create visuals
function draw(){
  
    for (let i = temprowsmin; i < temprowsmax; i++) {
      var p = map(noise(poff[i]), 0, 1, 0 ,windowWidth);
      var q = map(noise(p2off[i]), 0, 1, 0 ,windowHeight);
      temp = table.getString(i,11)
      red = map(temp,15.75,22.785,0,200)
      // fill(red,0,50,75)
      // noStroke();
      noFill();
      stroke(red,0,50,tail[i]);
      beginShape();
        for (let a = 0; a<TWO_PI; a+=0.2){
            let xoff = map(cos(a), -1, 1, 0, noiseMax[i]);
            let yoff = map(sin(a), -1,1,0, noiseMax[i]);
            let r = map(noise(xoff,yoff, wiggle), 0, 1, (5*sizearray[i])-10, (8*sizearray[i]));
            let x = r * cos(a)
            let y = r * sin(a);
            vertex(x+p,y+q)
          }
          endShape(CLOSE);
          wiggle += .0001;
          poff[i] = poff[i] + MPTspeed[i]
          p2off[i] = p2off[i] + MPTspeed[i] 

          //noloop();
          
    
}




}



